import type { Metadata } from "next";
import '@fontsource-variable/kode-mono';
import "./globals.css";
import {ThemeProvider} from "@/components/theme-provider";
import {ToastProvider} from "@/components/ui/toast";
import Header from "@/components/header";


export const metadata: Metadata = {
  title: "OnlyDevs",
  description: "A social network for nerdy developers",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
    <body className={"flex flex-col justify-center items-center"}>
      <ThemeProvider
        attribute="class"
        defaultTheme="system"
        enableSystem
        //disableTransitionOnChange
      >
        <Header/>
        {children}
        <ToastProvider/>
      </ThemeProvider>
    </body>
</html>
)
  ;
}
