import Image from "next/image";
import {BackgroundBeams} from "@/components/ui/background-beams";
import React from "react";
import {Button} from "@/components/ui/button";
import {KeyRound, Rss, UserRoundPlus} from "lucide-react";

export default function Home() {
  return (
    <main className="flex flex-col justify-center items-center antialiased h-full">
      <section className={"flex flex-col justify-center items-center md:h-1/3 mt-4 p-2 w-full gap-1"}>
        <h1 className={"text-4xl md:text-6xl font-bold"}>Only<em className={"text-primary"}>Devs</em></h1>
        <h2 className={"text-xl md:text-3xl text-center"}>A social network for you the nerdy developer !</h2>
        <div className={"flex flex-col md:flex-row justify-evenly w-full"}>
          <Button className={"mt-3 md:scale-125 gap-2"}><KeyRound />Login</Button>
          <Button className={"mt-3 md:scale-125 gap-2"}><UserRoundPlus />Register</Button>
          <Button className={"mt-3 md:scale-125 gap-2"}><Rss />Go see the posts</Button>
        </div>
      </section>
      <BackgroundBeams className={"-z-10"}/>
    </main>
  );
}
